polybori::CStringLiteral< LitCode > Class Template Reference

This template class defines string literals corresponding to the codes enumerated in the class CLiteralCodes. More...

`#include <CStringLiteral.h>`

## Public Types

typedef std::string | literal_type
| Type for string literals. More...

## Public Member Functions

| CStringLiteral ()
| Default constructor. More...
| ~CStringLiteral ()
| Destructor. More...
literal_type | operator() () const
| Return string literal depending on LitCode. More...
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const
template<>
CStringLiteral::literal_type | operator() () const

## Detailed Description

### template<unsigned LitCode = CLiteralCodes::first_code>
class polybori::CStringLiteral< LitCode >

This template class defines string literals corresponding to the codes enumerated in the class CLiteralCodes.

## Member Typedef Documentation

template<unsigned LitCode = CLiteralCodes::first_code>

typedef std::string polybori::CStringLiteral< LitCode >::literal_type

Type for string literals.

## Constructor & Destructor Documentation

template<unsigned LitCode = CLiteralCodes::first_code>

polybori::CStringLiteral< LitCode >::CStringLiteral | ( | ) |  |

inline

Default constructor.

template<unsigned LitCode = CLiteralCodes::first_code>

polybori::CStringLiteral< LitCode >::~CStringLiteral | ( | ) |  |

inline

Destructor.

## Member Function Documentation

template<unsigned LitCode = CLiteralCodes::first_code>

literal_type polybori::CStringLiteral< LitCode >::operator() | ( | ) |  | const

Return string literal depending on LitCode.

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::empty >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::space >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::plus >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::term_separator >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::times >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::comma >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::list_separator >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::default_variable_name >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::variable_head >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::variable_tail >::operator() | ( | ) |  | const

inline

template<>

CStringLiteral::literal_type polybori::CStringLiteral< CLiteralCodes::between_list_separator >::operator() | ( | ) |  | const

inline

The documentation for this class was generated from the following file:

- CStringLiteral.h